{% extends "site_base.html" %}
{% load i18n avatar_tags %}

{% load i18n %}
{% load staticfiles %}

{% block header %}
<!-- <nav className="navbar navbar-expand-lg navbar-dark bg-dark">
    <div className="container-fluid">
        <button className="navbar-toggler" >
            <span className="navbar-toggler-icon"></span>
        </button>

        <div className="collapse navbar-collapse"  id="navbarTogglerDemo02">
            <ul className="navbar-nav ">
                <li className="nav-item active">
                    <Link className="nav-link" to="/">
                        <i className="fas fa-home"></i> Home
                    </Link>
                </li>
                <li className="nav-item">
                    <Link className="nav-link" to="/maps">
                        <i className="far fa-map"></i> Maps
                    </Link>
                </li>
                <li className="nav-item">
                    <Link className="nav-link" to="/data">
                        <i className="fas fa-database"></i> Data
                    </Link>
                </li>

            </ul>
            <div className="right-part">
                <div className="collect-icon">

                    <div className="dropdown">
                        <button className="fas fa-th  dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">

                        </button>
                        <div className="dropdown-menu  apps-drop" aria-labelledby="dropdownMenuButton">
                            <ul className="apps-icons">
                                <li>
                                    <i className="fas fa-home"></i>
                                    <span className="">home</span>
                                </li>
                                <li>
                                    <i className="fas fa-search-location"></i>
                                    <span className="">search</span>
                                </li>
                                <li>
                                    <i className="fas fa-map-marked-alt"></i>
                                    <span className="">maps</span>
                                </li>
                                <li>
                                    <i className="fas fa-layer-group"></i>
                                    <span className="">layers</span>
                                </li>
                                <li>
                                    <i className="far fa-copy"></i>
                                    <span className="">docs</span>
                                </li>
                                <li>
                                    <i className="fas fa-user-cog"></i>
                                    <span className="">manage</span>
                                </li>
                            </ul>
                            <ul className="apps-icons">
                                <li>
                                    <i className="fas fa-home"></i>
                                    <span className="">home</span>
                                </li>
                                <li>
                                    <i className="fas fa-search-location"></i>
                                    <span className="">search</span>
                                </li>
                                <li>
                                    <i className="fas fa-map-marked-alt"></i>
                                    <span className="">maps</span>
                                </li>
                                <li>
                                    <i className="fas fa-layer-group"></i>
                                    <span className="">layers</span>
                                </li>
                                <li>
                                    <i className="far fa-copy"></i>
                                    <span className="">docs</span>
                                </li>
                                <li>
                                    <i className="fas fa-user-cog"></i>
                                    <span className="">manage</span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
                <div className="dropdown ">
                    <button type="button" className="btn btn-secondary dropdown-toggle" id="dropdownMenuOffset" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-offset="10,20">
                    </button>
                    <div className="dropdown-menu profile-drop" aria-labelledby="dropdownMenuOffset">
                        <div className="user-info">
                            <div className="img-user">
                                <img src="{{ STATIC_URL }}img/defualt.png" alt="user-img" />
                            </div>
                            <div className="email-user">
                                <span >Taher-elshoker</span>
                                <address>taher-elshoker@cartologic.com</address>
                            </div>
                        </div>
                        <ul className="help-links">
                            <li><i className="fas fa-cogs"></i><Link to="/profile">setting</Link></li>
                            <li><i className="fas fa-key"></i><Link to="/developer">api keys</Link></li>
                            <li><i className="fas fa-user"></i><Link to="">public profile</Link></li>
                            <li><i className="fas fa-bell"></i><Link to="/notification">notification</Link></li>
                        </ul>
                        <div className="log-out">
                            <a href="/">log out</a>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>


</nav> -->
<nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    <div class="nav-container">
        <div class="navbar-header">
        <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
          <i class="fa fa-navicon fa-lg"></i>
        </button>
        <a class="navbar-brand" href="{% url "home" %}">Home</a>
        {% if user.is_authenticated %}
          <a href="#" class="dropdown-toggle  apps-dropdown apps-mobile" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="fa fa-th" aria-hidden="true"></i></a>
          <ul  class=" apps-icons dropdown-menu  apps-dropdown-mobile fade-in">
              <li>
                  <img src="{{ STATIC_URL }}img/icons/home-black.png" alt="home"/>
                  <a href="#" className="app-link">home</a>
              </li>
              <li>
                  <img src="{{ STATIC_URL }}img/icons/search.png" alt="search"/>
                  <a href="#" className="app-link">search</a>
              </li>
              <li>
                  <img src="{{ STATIC_URL }}img/icons/map-black.png" alt="map"/>
                  <a href="#" className="app-link">maps</a>
              </li>
              <li>
                  <img src="{{ STATIC_URL }}img/icons/layers.png" alt="layers"/>
                  <a href="#" className="app-link">layers</a>
              </li>
              <li>
                  <img src="{{ STATIC_URL }}img/icons/docs.png" alt="docs"/>

                  <a href="#" className="app-link">docs</a>
              </li>
              <li>
                  <img src="{{ STATIC_URL }}img/icons/manage.png" alt="manage"/>
                  <a href="#" className="app-link">manage</a>
              </li>
              
            
          </ul>
              
        {%  endif %}
      </div>
      <div id="navbar" class="navbar-collapse collapse">
        <ul class="nav navbar-nav toolbar">

          {% block tabs %}
          <li class="mobile-search">
            <div class="search">
              <form id="search" action="{% url "search" %}" >
                <span class="fa fa-search"></span>
                <div id="search-container" class="autocomplete-input">
                  {% if HAYSTACK_SEARCH %}
                  <input autocomplete="off" id="search_input" type="text" placeholder="{% trans 'Search' %}" name="q">
                  <input type="hidden" name="abstract__icontains" id="search_abstract_input" placeholder="{% trans 'Search' %}" >
                  <input type="hidden" name="purpose__icontains" id="search_purpose_input" placeholder="{% trans 'Search' %}" >
                  <input type="hidden" name="f_method" id="filtering_type" value="or" >
                  {% else %}
                  <input autocomplete="off" type="text" name="title__icontains" id="search_input" placeholder="{% trans 'Search' %}" >
                  <input type="hidden" name="abstract__icontains" id="search_abstract_input" placeholder="{% trans 'Search' %}" >
                  <input type="hidden" name="purpose__icontains" id="search_purpose_input" placeholder="{% trans 'Search' %}" >
                  <input type="hidden" name="f_method" id="filtering_type" value="or" >
                  {% endif %}
                </div>
              </form>
            </div>
          </li>
          <li>   <a href="{% url "home" %}" class=""  ><i class="fa fa-home" aria-hidden="true"></i>Home</a></li>
          <li id="nav_maps">
            {% if user.is_authenticated %}
              <a href="{% url "maps_browse" %}?limit={{ CLIENT_RESULTS_LIMIT }}" class=""  ><i class="fa fa-map-o" aria-hidden="true"></i>

                {% trans "Maps" %}</a>
             
            {% else %}
              <a href="{% url "maps_browse" %}?limit={{ CLIENT_RESULTS_LIMIT }}"><i class="fa fa-map-o" aria-hidden="true"></i>
                {% trans "Maps" %}</a>
            {% endif %}
            </li>
             <li id="nav_layers">
              <a href="{% url "layer_browse" %}?limit={{ CLIENT_RESULTS_LIMIT }}" class=""><i class="fa fa-database" aria-hidden="true"></i>
                {% trans "Data" %}</a>
          
            </li>
            <li>
              <a  href="{% url "group_list" %}" class=""><i class="fa fa-users" aria-hidden="true"></i>
                {% trans "Groups" %}</a>

            </li>
      
          {% block extra_tab %}

          {% endblock %}

          {% endblock %}

        </ul>
        <ul class="nav navbar-nav navbar-right">
            <li class="desktop-search">
                <div class="search">
                  <form id="search" action="{% url "search" %}" >
                    <span class="fa fa-search"></span>
                    <div id="search-container" class="autocomplete-input">
                      {% if HAYSTACK_SEARCH %}
                      <input autocomplete="off" id="search_input" type="text" placeholder="{% trans 'Search' %}" name="q">
                      <input type="hidden" name="abstract__icontains" id="search_abstract_input" placeholder="{% trans 'Search' %}" >
                      <input type="hidden" name="purpose__icontains" id="search_purpose_input" placeholder="{% trans 'Search' %}" >
                      <input type="hidden" name="f_method" id="filtering_type" value="or" >
                      {% else %}
                      <input autocomplete="off" type="text" name="title__icontains" id="search_input" placeholder="{% trans 'Search' %}" >
                      <input type="hidden" name="abstract__icontains" id="search_abstract_input" placeholder="{% trans 'Search' %}" >
                      <input type="hidden" name="purpose__icontains" id="search_purpose_input" placeholder="{% trans 'Search' %}" >
                      <input type="hidden" name="f_method" id="filtering_type" value="or" >
                      {% endif %}
                    </div>
                  </form>
                </div>
              </li>
            {% if user.is_authenticated %}
            <li class="">
              <a href="#" class="dropdown-toggle  apps-dropdown" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false"><i class="fa fa-th" aria-hidden="true"></i> {% trans "Apps" %}</a>
              <ul  class=" apps-icons dropdown-menu">
                  <li>
                      <img src="{{ STATIC_URL }}img/icons/home-black.png" alt="home"/>
                      <a href="#" className="app-link">home</a>
                  </li>
                  <li>
                      <img src="{{ STATIC_URL }}img/icons/search.png" alt="search"/>
                      <a href="#" className="app-link">search</a>
                  </li>
                  <li>
                      <img src="{{ STATIC_URL }}img/icons/map-black.png" alt="map"/>
                      <a href="#" className="app-link">maps</a>
                  </li>
                  <li>
                      <img src="{{ STATIC_URL }}img/icons/layers.png" alt="layers"/>
                      <a href="#" className="app-link">layers</a>
                  </li>
                  <li>
                      <img src="{{ STATIC_URL }}img/icons/docs.png" alt="docs"/>

                      <a href="#" className="app-link">docs</a>
                  </li>
                  <li>
                      <img src="{{ STATIC_URL }}img/icons/manage.png" alt="manage"/>
                      <a href="#" className="app-link">manage</a>
                  </li>
                
              </ul>
                  
          </li>
            {%  endif %}
          
            {% if not user.is_authenticated and ACCOUNT_OPEN_SIGNUP and not READ_ONLY_MODE %}
              <li><a href="{% url "account_signup" %}">{% trans "Register" %}</a></li>
            {% endif %}
            {% if user.is_authenticated %}
            <li class="">
              <a href="#" class="dropdown-toggle avatar" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                {% autoescape off %}{% avatar user 40 %}{% endautoescape %}
                {% with full_name=user.first_name|add:' '|add:user.last_name %}
                  {% if full_name.strip %}
                    {{ full_name | truncatechars:20 }}
                  {% else %}
                    {{ user.username | truncatechars:20 }}
                  {% endif %}
                {% endwith %}
              </a>
              <ul class="dropdown-menu dropdown-avatar">
                <li><a href="{{ user.get_absolute_url }}">{% trans "Profile" %}</a></li>
                <li><a href="{% url "recent-activity" %}">{% trans "Recent Activity" %}</a></li>
                {% if FAVORITE_ENABLED and user.is_authenticated %}
                <li><a href="{% url "favorite_list" %}">{% trans "Favorites" %}</a></li>
                {% endif %}
                <li><a href="{% url "messages_inbox" %}">{% trans "Inbox" %}</a></li>
                {% if user.is_superuser or user.is_staff %}
                    <li><a href="{% url "admin:index" %}">{% trans "Admin" %}</a></li>
                    {% if 'geonode.geoserver' in INSTALLED_APPS %}
                    <li><a href="{{ OGC_SERVER.default.WEB_UI_LOCATION }}">GeoServer</a></li>
                    {% endif %}
                    {% if USE_MONITORING %}
                    <li><a href="{% url "monitoring:index" %}">{% trans "Monitoring & Analytics" %}</a></li>
                    {% endif %}
                {% endif %}
                <li ><a href="{% url "help" %}">{% trans "Help" %}</a></li>
                <li class="logout"><a href="{% if SITEURL|default:""|slice:"-1:" == "/" %}{{SITEURL}}{% else %}{{SITEURL}}/{% endif %}account/logout/"><img src="{{ STATIC_URL }}img/icons/logout.png" alt="logout" />{% trans "Log out" %}</a></li>
                </ul>
              </li>
          {% else %}
          <li><a href="#" data-toggle="modal" data-target="#SigninModal" role="button" >
            {% trans "Sign in" %} </a></li>
              {% endif %}
            </ul>
          </div> <!--/.nav-collapse -->
        </div>
      </nav>
{% endblock header %}
